=== modified file 'bzrlib/tests/blackbox/test_commit.py'
--- bzrlib/tests/blackbox/test_commit.py	2011-01-10 22:20:12 +0000
+++ bzrlib/tests/blackbox/test_commit.py	2011-04-06 04:18:06 +0000
@@ -23,6 +23,7 @@
 
 from bzrlib import (
     bzrdir,
+    config,
     osutils,
     ignores,
     msgeditor,
@@ -758,6 +759,9 @@
         self.run_bzr(['add'])
         self.overrideEnv('EMAIL', None)
         self.overrideEnv('BZR_EMAIL', None)
+        # Also, make sure that it's not inferred from mailname.
+        self.overrideAttr(config, '_auto_user_id',
+            lambda: (None, None))
         out, err = self.run_bzr(['commit', '-m', 'initial'], 3)
         self.assertContainsRe(err, 'Unable to determine your name')
 

=== modified file 'bzrlib/tests/blackbox/test_whoami.py'
--- bzrlib/tests/blackbox/test_whoami.py	2011-01-10 22:20:12 +0000
+++ bzrlib/tests/blackbox/test_whoami.py	2011-04-06 04:18:06 +0000
@@ -92,10 +92,13 @@
                           'recommended.\n', display)
 
     def test_whoami_not_set(self):
-        """Ensure whoami error if username is not set.
+        """Ensure whoami error if username is not set and not inferred.
         """
         self.overrideEnv('EMAIL', None)
         self.overrideEnv('BZR_EMAIL', None)
+        # Also, make sure that it's not inferred from mailname.
+        self.overrideAttr(config, '_auto_user_id',
+            lambda: (None, None))
         out, err = self.run_bzr(['whoami'], 3)
         self.assertContainsRe(err, 'Unable to determine your name')
 

